Delete Golden
DELETEhttps://api.confident-ai.com/v1/datasets/{alias}/goldens/{goldenId}
Permanently deletes a single golden by its goldenId from the dataset identified by alias. Only the specified golden is removed; the rest of the dataset is unchanged.
Warning: This action cannot be undone.
curl -X DELETE "https://api.confident-ai.com/v1/datasets/{alias}/goldens/{goldenId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "golden-id"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe alias of the dataset containing the golden.
goldenIdstringRequiredThe unique id of the golden, returned when the dataset is pulled.
Response
successbooleanThis is true if the golden was successfully deleted.
dataobjectShow 1 propertyHide 1 property
idstringThis is the ID of the deleted golden.
deprecatedbooleanThis is true if this datasets endpoint is deprecated.